Guest Join UsHola invitado,
Bienvenido a los foros de Mac-Club.
Grupo de chalados que hablan de cualquier cosa y de los que
algunos, además y para más inri, son usuarios de Macintosh
Hasta que no te registres, partes de estos foros no te serán accesibles
o Crear una cuenta


Calificación:
  • 0 voto(s) - 0 Media
  • 1
  • 2
  • 3
  • 4
  • 5
Agujero de Seguridad en MacOSX
#1
Me acaban de pasar esta noticias. ¿Alguien la puede traducir al cristiano? ¿Qué hay de cierto?

Hispasec - una-al-día 23/01/2005
Todos los días una noticia de seguridad http://www.hispasec.com
-------------------------------------------------------------------

Múltiples vulnerabilidades en Mac OS X 10.3
-------------------------------------------

Se han descubierto múltiples vulnerabilidades en las versiones 10.3.4 y
10.3.7 del sistema operativo Mac OS X, y que podrían ser explotadas por
usuarios locales maliciosos para acceder a información sensible,
provocar denegaciones de servicio o incluso realizar escaladas de
privilegios en un sistema afectado.

La primera vulnerabilidad descubierta es un desbordamiento de entero en
la llamada de sistema 'searchfs()'. Esta puede darse a la hora de tratar
con las variables sizeofsearchparams1 y sizeofsearchparams2 en una
estructura fssearchblock, y puede ser aprovechada para provocar un
desbordamiento de búfer.

La explotación con éxito de esta vulnerabilidad permitiría la ejecución
de código arbitrario con privilegios escalados. Esta vulnerabilidad ha
sido confirmada en la versión 10.3.4 del sistema, aunque no se descarta
que afecte a otras versiones. Hay también signos de que algunas
vulnerabilidades antiguas de NetBSD, incluyendo un error de signo en la
llamada de sistema 'semop()', afectarían también a OS X.

Una segunda vulnerabilidad en la utilidad 'at' (con setuid root) puede
ser explotada para acceder al contenido de archivos arbitrarios
marcándolos como un fichero de trabajo para la opción de línea de
comando -f.

Esta vulnerabilidad ha sido confirmada en Mac OS X 10.3.4 y 10.3.7,
aunque no se descarta que afecte a otras versiones.

Por último, más errores de signo en la función 'parse_machfile()' usada
dentro del cargador Mach-O, pueden ser explotados para tirar el sistema
creando una cabecera Mach-O maliciosa.

Esta vulnerabilidad afectaría a las versiones 10.3.7 y anteriores del
sistema.

A la espera de un parche de actualización de Apple, se recomienda
restringir el acceso a los sistemas de tal forma que sólo lo use
personal de confianza.
Responder
#2
Hay que tener en cuenta que vulnerabilidades no son fallos o agujeros.

Una vulnerabilidad es algo que permite que alguien, en muy determinadas circunstancias (que probablemente se den en mínimo porcentaje de instalaciones) puede usarla de forma maliciosa

Hay sistemas que, durante años han tenido vulnerabilidades y nunca han sido atacados.

Así que, "vulnerabilidad" solo indica una debilidad.

Superman era vulnerable a la Kriptonita pero para poder atacar a Superman, era necesario disponer de esa kryrptonita
Y no la vendían en el hiper de la esquina.

La mayoría de las vulnerabilidades son academicas y se corrigen para evitar que alguien las pueda aprovechar pero, de ninguna manera, indican, por si mismas, un fallo de seguridad.

Vamos, que alguien pueda ir y comprarse una mina de kryptonita en Io.
Principio de Hanlon:
«Nunca le atribuyas a la maldad lo que puede ser explicado por la estupidez»
Responder
#3
Conviene siempre poner un enlace a la web de Secunia, donde se analiza muy en detalle esta vulnerabilidad.

Vulnerabilidad

Está catalogada como una vulnerabilidad poco crítica, y además, necesitas disponer de una cuenta de usuario en ese sistema, de modo que no es tan sencillo.

Y, como siempre, al disponer de código abierto para el núcleo —donde pueden estar los fallos realmente graves—, ha sido posible detectar la vulnerabilidad, e informar de ella a Apple.

De todas formas, en este caso concreto, parece que no se ha actuado de forma del todo correcta: Inmunity es una empresa especialista en auditoría de seguridad de código, y había encontrado la vulnerabilidad en los Unix de sus clientes, y sólo los había avisado a ellos, pero no a los mantenedores de FreeBSD, ni a ningún otro BSD, abierto o comercial, como OpenBSD, NetBSD... o Mac OS X. Y a continuación, publican la vulnerabilidad antes de que exista un parche Undecided
Juan de Dios Santander Vela
Ingeniero en Electrónica, Doctorando en Tecnologías Multimedia
Fotógrafo aficionado, y becario del Instituto de Astrofísica de Andalucía
http://www.entremaqueros.com/bitacoras/memoria/
Responder
#4
¿Cerramos el tema?
Juan de Dios Santander Vela
Ingeniero en Electrónica, Doctorando en Tecnologías Multimedia
Fotógrafo aficionado, y becario del Instituto de Astrofísica de Andalucía
http://www.entremaqueros.com/bitacoras/memoria/
Responder
#5
Cita:¿Cerramos el tema?
Por mí, lo puedes cerrar...
Principio de Hanlon:
«Nunca le atribuyas a la maldad lo que puede ser explicado por la estupidez»
Responder


Posibles temas similares...
Tema Autor Respuestas Vistas Último mensaje
  Problemas de Seguridad ¡AYUDAAAAA! wisso 0 1.867 17-11-2011, 14:44
Último mensaje: wisso
  Seguridad en mac wisso 7 3.810 25-05-2011, 14:26
Último mensaje: ezmac
  Time machine 37 dias sin realizar copias de seguridad. Kartxarias 15 9.472 21-07-2010, 21:42
Último mensaje: Larita
  Archivo de copias de seguridad MACnolo 7 4.561 15-02-2010, 01:56
Último mensaje: MACnolo
  hacer copia seguridad gloria 3 2.538 15-06-2009, 22:31
Último mensaje: Mac@ries

Salto de foro:


Usuarios navegando en este tema: 1 invitado(s)


Acerca de Los foros de Mac-club

Grupo de chalados que hablan de cualquier cosa y de los que algunos, además y para más inri, son usuarios de Macintosh

Para más información usa el formulario de contacto

              Tus enlaces

              En obras